Name:           lv2-mdala-plugins
Version:        1.2.6
Release:        %mkrel 1
Summary:        A collection of LV2 plugins ported from the MDA VST plugins

# BSD for waflib
License:        GPLv3+ and BSD
URL:            https://drobilla.net
Source0:        https://download.drobilla.net/mda-lv2-%{version}.tar.xz
Group: Sound
BuildRequires:  gcc-c++
BuildRequires:  lv2-devel
Requires:       lv2

%description
A collection of LV2 plugins including delay, tube distortion, compressor,
LPF, HPF, phaser, reverb, and utilities, all featuring GUIs.

%prep
%setup -n mda-lv2-%{version}
# Correct unversioned python shebang
sed -i 's|python|python3|' waf
# Correct build flags
export OPT_WAF=$(echo %{optflags} | sed "s| |', '|g")
sed -i "s|'lvz/wrapper.cpp'],|'lvz/wrapper.cpp'],\ncxxflags = ['$OPT_WAF'],|" wscript

%build
./waf configure -v --prefix=%{_prefix} --libdir=%{_libdir}
./waf -v build %{?_smp_mflags}

%install
./waf install --destdir=%{buildroot}

%files
%{_libdir}/lv2/mda.lv2/


%changelog
* Sat Apr 30 2022 onkelho <oh.quait at gmail.com> - 1.2.6-1pclos2022
- new version release
